## 贡献者契约行为准则

### 我们的承诺

---

作为成员、贡献者和领导者，我们承诺让每个人参与我们的社区成为一种无骚扰的体验，无论年龄、体型、可见或不可见的残疾、种族、性别特征、性别认同和表达、经验水平、教育程度如何、社会经济地位、国籍、个人外貌、种族、种姓、肤色、宗教或性身份和性取向。

我们承诺通过建立一个开有助于开放、热情、多元化、包容和健康的社区的方式采取行动和互动。

### 我们的标准

---

为我们的社区营造积极环境的行为示例包括：

* 表现出对他人的同理心和善意
* 尊重不同的意见、观点和经验
* 给予并优雅地接受建设性的反馈
* 承担责任并向受我们错误影响的人道歉，并从经验中学习
* 关注那些对我们个人和社区都最好的事情



不可接受的行为示例包括：

* 使用色情语言或图像，以及任何形式的性关注或性推动
* 拖钓、侮辱或贬损评论，以及人身或政治攻击
* 公共或私人骚扰
* 未经他人明确许可，发布他人的私人信息，例如物理地址或电子邮件地址
* 在专业环境中可能被合理认为不适当的其他行为

### 执法责任

---

社区领袖有责任澄清和执行我们可接受的行为标准，并将针对他们认为不恰当、威胁、冒犯或有害的任何行为采取适当和公平的纠正措施。

社区领袖有权利和责任删除、编辑或拒绝与本行为准则不一致的评论、commits、代码、wiki 编辑、issues和其他贡献，并会在适当时传达审核决定的原因。

### 范围

---

本行为准则适用于所有社区空间，包括个人在公共场所正式代表社区的时候。代表我们社区的示例包括使用官方电子邮件地址、通过官方社交媒体帐户发帖或在在线或离线活动中担任指定代表。

### 执法

---

辱骂、骚扰或其他不可接受的行为可通过 [apinto@eolink.com] 向负责执法的社区领袖报告。所有投诉都将得到及时和公平的审查和调查。

所有社区领袖都有义务尊重任何事件报告者的隐私和安全。

### 执法指南

---

社区领袖将遵循这些社区影响指南来确定他们认为违反本行为准则的任何行为的后果：

#### 1. 更正

**社区影响**：使用不恰当的语言或其他在社区中被认为不专业或不受欢迎的行为。

**后果**：来自社区领袖的私下书面警告，清楚说明违规的性质，并解释行为不恰当的原因。可能会要求公开道歉。

#### 2. 警告

**社区影响**：通过单一事件或一系列行动的违规行为。

**后果**：对持续行为产生后果的警告。在指定的时间段内，不得与相关人员互动，包括主动与行为准则执行者互动。这包括避免在社区空间以及社交媒体等外部渠道中进行互动。违反这些条款可能会导致临时或永久禁令。

#### 2. 临时禁令

**社区影响**：严重违反社区标准，包括持续的不当行为。

**后果**：在指定时间段内暂时禁止与社区进行任何形式的互动或公开交流。在此期间，不得与相关人员进行公开或私下互动，包括主动与《行为准则》执行者互动。违反这些条款可能会导致永久禁令。

#### 4. 永久禁令

**社区影响**：表现出违反社区标准的模式，包括持续的不当行为、骚扰个人，或攻击或贬低某一类个人。

**后果**：永久禁止在社区内进行任何形式的公共互动。

### 归属

本行为准则改编自贡献者公约2.1 版，可在 https://www.contributor-covenant.org/version/2/1/code_of_conduct.html获得。

社区影响指南的灵感来自 Mozilla 的行为准则执行阶梯。

有关此行为准则的常见问题的答案，请参阅 https://www.contributor-covenant.org/faq上的常见问题解答。

翻译可在 https://www.contributor-covenant.org/translations获得。

